
bp = {
--Inicializa aleatório
  inicializaAleatorio = function()
    love.math.setRandomSeed( os.time() )
    love.math.random()  --Apparently, the first few passes aren't random,
    love.math.random()  --so these three lines, hopefully, get us to the
    love.math.random()  --point where they ARE random numbers.
  end,
--cores padrões
  carregeCoresPadroes = function()
    Cores = {
      preto = {0, 0, 0},
      branco = {255, 255, 255},
      vermelho = {255, 0, 0},
      amarelo = {255, 255, 0},
      aqua = {68, 176, 221},
      verde = {0, 255, 0},
      verdeEscuro = {67, 142, 70},
      verdeMaisEscuro = {46, 142, 32},
      verdeMuitoEscuro = {66, 124, 66},
      azulClaro = {139, 237, 229},
      azul = {0, 0, 255},
      azulEscuro = {54, 109, 148},
      azulMaisEscuro = {4, 4, 163},
      pink = {248, 184, 184}
    }    
end,

--CARREGE FONTES PADROES
--baseado em largura padrão de 700 pixels
  carregeFontesPadroes = function(fonteNormal, fonteNegrito)
    --proporcaoFonte = windowY / 700
    fonte12 = love.graphics.newFont( fonteNormal, 12 * proporcao )
    fonteHeight12 = 12 * proporcao
    fonte15 = love.graphics.newFont( fonteNormal, 15 * proporcao )
    fonteHeight15 = 15 * proporcao
    fonte18 = love.graphics.newFont( fonteNormal, 18 * proporcao )
    fonteHeight18 = 18 * proporcao
    fonte22 = love.graphics.newFont( fonteNormal, 22 * proporcao )
    fonteHeight22 = 22 * proporcao
    fonte24 = love.graphics.newFont( fonteNormal, 24 * proporcao )
    fonteHeight24 = 24 * proporcao   
    fontePadrao = love.graphics.newFont( fonteNormal, 24 * proporcao )
    fonteHeightPadrao = 24 * proporcao   
    fonte30 = love.graphics.newFont( fonteNormal, 30 * proporcao )
    fonteHeightN30 = 30 * proporcao
    fonte36 = love.graphics.newFont( fonteNormal, 36 * proporcao )
    fonteHeight36 = 36 * proporcao
    fonte48 = love.graphics.newFont( fonteNormal, 48 * proporcao )
    fonteHeight48 = 48 * proporcao
    fonteNegrito15 = love.graphics.newFont( fonteNegrito, 15 * proporcao )
    fonteHeightN15 = 15 * proporcao
    fonteNegrito22 = love.graphics.newFont( fonteNegrito, 22 * proporcao )
    fonteHeightN22 = 22 * proporcao
    fonteNegrito24 = love.graphics.newFont( fonteNegrito, 24 * proporcao )
    fonteHeightN24 = 24 * proporcao
    fonteNegrito30 = love.graphics.newFont( fonteNegrito, 30 * proporcao )
    fonteHeightN30 = 30 * proporcao
    fonteNegrito36 = love.graphics.newFont( fonteNegrito, 36 * proporcao )
    fonteHeightN36 = 36 * proporcao
    fonteNegrito48 = love.graphics.newFont( fonteNegrito, 48 * proporcao )
    fonteHeightN48 = 48 * proporcao
    fonteNegrito64 = love.graphics.newFont( fonteNegrito, 64 * proporcao )
    fonteHeightN64 = 64 * proporcao
    fonteNegrito96 = love.graphics.newFont( fonteNegrito, 96 * proporcao )
    fonteHeightN96 = 96 * proporcao
  end,
  
--ESCREVE FUNÇÕES
--Sem formato
escreve = function(texto, x, y, textoCor, fonte)
  --bp.escreve(texto, x, y, textoCor, fonte)
  love.graphics.setColor(textoCor)
  love.graphics.setFont(fonte)
  love.graphics.print(texto, x, y)
  love.graphics.setColor(Cores.branco)
  love.graphics.setFont(fontePadrao)
end,

--Com formato
escreveF = function(texto, x, y, campoWidth, alinhamento, textoCor, fonte)
  --bp.escreveF(texto, x, y, campoWidth, alinhamento, textoCor, fonte)
  love.graphics.setColor(textoCor)
  love.graphics.setFont(fonte)
  love.graphics.printf(texto, x, y, campoWidth, alinhamento)
  love.graphics.setColor(Cores.branco)
  love.graphics.setFont(fontePadrao)
end,

--CAIXA FUNÇÕES
--Caixa sem borda
caixaSemBorda = function(x, y, width, height, cor)
    love.graphics.setColor(cor)
    love.graphics.rectangle( "fill", x, y, width, height )
    love.graphics.setColor(Cores.branco)
end,

--Caixa com borda
caixaComBorda = function(x, y, width, height, corBorda, corCaixa, bordaWidth)
    love.graphics.setColor(corBorda)
    love.graphics.rectangle( "fill", x, y, width, height )
    love.graphics.setColor(corCaixa)
    love.graphics.rectangle( "fill", x + bordaWidth, y + bordaWidth, width - 2 * bordaWidth, height - 2 * bordaWidth )
    love.graphics.setColor(Cores.branco) 
end,

--Caixa sem borda mas com imagem
caixaImagemSemBorda = function(x, y, width, height, cor, imagem, imagemX, imagemY)
    love.graphics.setColor(cor)
    love.graphics.rectangle( "fill", x, y, width, height )
    love.graphics.setColor(Cores.branco)
    love.graphics.draw(imagem, imagemX, imagemY)
end,

--Caixa com borda e imagem
caixaImagemComBorda = function(x, y, width, height, corBorda, corCaixa, bordaWidth, imagem, imagemX, imagemY)
    love.graphics.setColor(corBorda)
    love.graphics.rectangle( "fill", x, y, width, height )
    love.graphics.setColor(corCaixa)
    love.graphics.rectangle( "fill", x + bordaWidth, y + bordaWidth, width - 2 * bordaWidth, height - 2 * bordaWidth )
    love.graphics.setColor(Cores.branco)
    love.graphics.draw(imagem, imagemX, imagemY)
end,

--Caixa só de imagem
caixaDeImagem = function(imagem, imagemX, imagemY)
    love.graphics.setColor(Cores.branco)
    love.graphics.draw(imagem, imagemX, imagemY) 
end,

--BOTÃO FUNÇÕES
--Botão sem borda
botaoSemBorda = function(x, y, raio, cor)
    love.graphics.setColor(cor)
    love.graphics.circle( "fill", x, y, raio )
    love.graphics.setColor(Cores.branco) 
end,

--Botão com borda
botaoComBorda = function(x, y, raio, corBorda, corCaixa, bordaWidth)
    love.graphics.setColor(corBorda)
    love.graphics.circle( "fill", x, y, raio )
    love.graphics.setColor(corCaixa)
    love.graphics.circle( "fill", x, y, raio - bordaWidth)
    love.graphics.setColor(Cores.branco) 
end,

--Botão sem borda mas com image
botaoImagemSemBorda = function(x, y, raio, cor, imagem, imagemX, imagemY)
    love.graphics.setColor(cor)
    love.graphics.circle( "fill", x, y, raio )
    love.graphics.setColor(Cores.branco)
    love.graphics.draw(imagem, imagemX, imagemY)
end,

--Botão com borda e imagem
botaoImagemComBorda = function(x, y, raio, corBorda, corCaixa, bordaWidth, imagem, imagemX, imagemY)
    love.graphics.setColor(corBorda)
    love.graphics.circle( "fill", x, y, raio )
    love.graphics.setColor(corCaixa)
    love.graphics.circle( "fill", x, y, raio - bordaWidth)
    love.graphics.setColor(Cores.branco)
    love.graphics.draw(imagem, imagemX, imagemY)
end,

--Botão só de imagem
botaoDeImagem = function(imagem, imagemX, imagemY)
    love.graphics.setColor(Cores.branco)
    love.graphics.draw(imagem, imagemX, imagemY)
end
}

--[[To activate signature block it is necessary to:
1. Add RanMan = false to global variables.
2. Add assinaturaRandall() to functions in load function in carrege.lua.
3. Paste the 2 else if statements below immediately after the last else if in function love.keypressed(k) 
    elseif k == "0" and love.keyboard.isDown("r") and love.keyboard.isDown("a") and love.keyboard.isDown("n") and love.keyboard.isDown("d") then
      RanMan = true          
    elseif k == "-" and love.keyboard.isDown("r") and love.keyboard.isDown("a") and love.keyboard.isDown("n") and love.keyboard.isDown("d") then
      RanMan = false
and move the comment closing line to the end of these instructions, thereby uncommenting the signature block.
function assinaturaRandall()
  randallImagem = love.graphics.newImage("imagens/randall.png")
end
END ASSINATURA BLOCO]]
