--love.window.setMode( 640, 360,{resizable = false,vsync = false}) --setting the size to 0,0 will set it to the complete size of your screen

windowX,windowY = love.graphics.getDimensions()
proporcao = windowY / 600

logo = love.graphics.newImage("imagens/logo.png")

--arquivos dos fontes
fonteNormal = "fontes/alegreya_sans-regular.ttf"
fonteNegrito = "fontes/alegreya_sans-bold.ttf"

--cores para fundo
local fundoVermelho = 255
local fundoVerde = 255
local fundoAzul = 0
local fundoCorDirecao = -1
function alteraFundo(dt)
  love.graphics.setBackgroundColor(fundoVermelho, fundoVerde, fundoAzul)
  if fundoVermelho <= 0 or fundoVermelho >=255 then
    fundoCorDirecao = -1 * fundoCorDirecao 
  end
  fundoVermelho = fundoVermelho + 40*fundoCorDirecao*dt
end

carrege = {
  name = "carrege",
  load = function()
    estadoJogo = estadoSplash.name
  
    --inicializa aleatório
    bp.inicializaAleatorio() --em bibliotecaPadrao.lua
  
    --carrege cores padrões
    bp.carregeCoresPadroes() --em bibliotecaPadrao.lua
  
    --crie fontes
    bp.carregeFontesPadroes(fonteNormal, fonteNegrito)
    
    --cursors
    if proporcao < 0.6 then
      cursorPadrao = love.mouse.newCursor( "cursors/bandeira-usa-e-pequena.png", 10, 4 )
      cursorClique = love.mouse.newCursor( "cursors/bandeira-brasil-pequena.png", 10, 4 )
    else
      --cursorPadrao = love.mouse.newCursor( "cursors/bandeira-usa-e.png", 15, 8 )
      cursorPadrao = love.mouse.newCursor( "cursors/bandeira-brasil.png", 15, 8 )
      cursorClique = love.mouse.newCursor( "cursors/bandeira-brasil.png", 15, 8 )
    end
    love.mouse.setCursor( cursorPadrao )    
    
    --AUDIO
    audioVolume = 0.25
    audioFundo = love.audio.newSource( "sons/Jazzy-beat-house-music-track.mp3", static )
    audioFundo:setVolume(audioVolume)
    audioFundo:setLooping(true)
    audioFundo:play()
    
    --variaveis globais
    titulo = "Simple Present Tense"
    musicaOn = false
    respostaCertaGlobal = "respostaCertaGlobal"
    paginaWidth = love.graphics.getWidth()
    paginaHeight = love.graphics.getHeight()
    passo = 1
    respostaErradaGlobal = "respostaErrada"
    placarCerto = 0
    placarErro = 0
    globalCaixaX = paginaWidth * 0.15
    globalCaixaY = paginaHeight * 0.17
    globalCaixaWidth = paginaWidth * 0.3
    globalCaixaHeight = paginaHeight * 0.1
    
    --execute funções iniciais
    fazQuestoesAleatorias()  --esta função está no dados.lua    
    fazRespostasAleatorias()  --esta função está no dados.lua
  end  
}

--Parent Functions
function CARREGE_LOAD()
  carrege.load()
end

function CARREGE_UPDATE(dt)
  alteraFundo(dt) --função em carrege.lua
end 
