estadoCliqueCerto = {
  name = "cliqueCerto",
  moveY = 0,
  move = false,
  reset = false,
  quit = false,
  transparencia = 255,
  resetCor = {255, 255, 255, 0},
  update = function(dt)
    local x, y = love.mouse.getPosition()
    if emMusicVolUp( x, y ) and love.mouse.isDown(1) and audioVolume < 1.0 then
      love.audio.play( audioFundo )
      audioVolume = audioVolume + 0.10 * dt
      audioFundo:setVolume(audioVolume)
    elseif emMusicVolDown( x, y ) and love.mouse.isDown(1) and audioVolume > 0.0 then
      love.audio.play( audioFundo )
      audioVolume = audioVolume - 0.20 * dt
      audioFundo:setVolume(audioVolume)
    end
  end,
  moveUpdate = function(dt)
    if estadoCliqueCerto.move == true then
      if estadoCliqueCerto.moveY > paginaHeight * 0.925 * -1 then
        estadoCliqueCerto.moveY = estadoCliqueCerto.moveY - 400 * dt
      else estadoJogo = estadoJogar.name
      end
    end
  end,
  resetJogo = function(dt)
    if estadoCliqueCerto.reset == true then
      resetOuQuit.resetOuQuit = "reset"
      resetOuQuit.resetJogo(dt)
    end
  end,
  quitJogo = function(dt)
    if estadoCliqueCerto.quit == true then
      resetOuQuit.resetOuQuit = "quit"
      resetOuQuit.quitJogo(dt)
    end
  end,
  draw = function()
    exposicao.titulo()
    exposicao.placar(globalCaixaX, globalCaixaY, globalCaixaWidth, globalCaixaHeight)
    --exposicao.musica()
    bp.caixaComBorda(paginaWidth * 0.02, paginaHeight * 0.33 + estadoCliqueCerto.moveY, paginaWidth * 0.96, paginaHeight * 0.62, Cores.azulMaisEscuro, Cores.aqua, 3)
    bp.escreveF(texto1, 0, paginaHeight * 0.36 + estadoCliqueCerto.moveY, paginaWidth, "center", Cores.azulMaisEscuro, fonte24)
    bp.escreveF(texto2, 0, paginaHeight * 0.425 + estadoCliqueCerto.moveY, paginaWidth, "center", Cores.vermelho, fonteNegrito36)
    bp.escreveF(texto3, 0, paginaHeight * 0.5 + estadoCliqueCerto.moveY, paginaWidth, "center", Cores.verdeMuitoEscuro, fonteNegrito24)
    bp.escreveF(texto4, 0, paginaHeight * 0.575 + estadoCliqueCerto.moveY, paginaWidth, "center", Cores.azulMaisEscuro, fonteNegrito24)
    bp.caixaComBorda(paginaWidth * 0.15, paginaHeight * 0.66 + estadoCliqueCerto.moveY, paginaWidth * 0.7, paginaHeight * 0.075, Cores.branco, Cores.azulMaisEscuro, 2)
    bp.escreveF(texto5, 0, ( paginaHeight * 0.6975 - 0.5 * fonteHeight24 ) + estadoCliqueCerto.moveY, paginaWidth, "center", Cores.branco, fonte24)
    bp.caixaComBorda(paginaWidth * 0.15, paginaHeight * 0.755 + estadoCliqueCerto.moveY, paginaWidth * 0.7, paginaHeight * 0.075, Cores.branco, Cores.azulMaisEscuro, 2)
    bp.escreveF(texto6, 0, ( paginaHeight * 0.7925 - 0.5 * fonteHeight24 ) + estadoCliqueCerto.moveY, paginaWidth, "center", Cores.branco, fonte24)
    if texto7 ~= "" then
      bp.caixaComBorda(paginaWidth * 0.15, paginaHeight * 0.855 + estadoCliqueCerto.moveY, paginaWidth * 0.7, paginaHeight * 0.075, Cores.branco, Cores.azulMaisEscuro, 2)
    end
    bp.escreveF(texto7, 0, ( paginaHeight * 0.8925 - 0.5 * fonteHeight24 ) + estadoCliqueCerto.moveY, paginaWidth, "center", Cores.branco, fonte24)
  end,
  naoUltimaQuestao = function()
    texto1 = "That's right!"
    texto2 = "\"" .. frase[sequenciaAleatoria[passo]].respostaCerta .. "\""
    texto3 = "is the correct sentence."
    texto4 = "What now? Click one of the buttons below."
    texto5 = "Take me to the next question."    
    texto6 = "I want to start over. Restart the game."
    texto7 = "I want to quit. Close the game."  
  end,  
  ultimaQuestao = function()    
    texto1 = "That's correct."
    texto2 = "\"" .. frase[sequenciaAleatoria[passo]].respostaCerta .. "\""
    texto3 = "is the correct sentence."    
    texto4 = "What now? Click one of the buttons below."
    texto5 = "I want to play again. Start a new game."
    texto6 = "I'm done. Close the game."
    texto7 = ""
    --[[
    if placarCerto > #frase - 2 then textoAvaliacao = "EXCELLENT!"
      elseif placarCerto > #frase - 5 then textoAvaliacao = "Very good!"
      elseif placarCerto > #frase - 8 then textoAvaliacao = "You could improve."
      else textoAvaliacao = "You need to study! A LOT!!"
    end 
    ]]
  end,
  mousereleased = function(x, y, button)
   --CLIQUES DO MOUSE   
   
    if emMusicOn( x, y ) then
      if audioFundo:isPlaying() then love.audio.pause()
      elseif not audioFundo:isPlaying() then love.audio.play( audioFundo )
      end
    return
    end
    
    if emContinueCaixa1( x, y ) then
      if passo == #frase then
      estadoCliqueCerto.reset = true
      else
        passo = passo + 1
        fazRespostasAleatorias()
        estadoCliqueCerto.move = true
      end
    return
    end
    
    if emContinueCaixa2(x, y) then
      if passo == #frase then
        estadoCliqueCerto.quit = true
      else
        estadoCliqueCerto.reset = true
      end
    return
    end
    
    if emContinueCaixa3(x, y) and texto7 ~= "" then
      estadoCliqueCerto.quit = true
    return
    end
  end
}

--Parent Functions
function CLIQUECERTO_UPDATE(dt)
  estadoCliqueCerto.update(dt)
  estadoCliqueCerto.moveUpdate(dt)
  estadoCliqueCerto.resetJogo(dt)
  estadoCliqueCerto.quitJogo(dt)
end 

function CLIQUECERTO_DRAW()
  estadoCliqueCerto.draw()
end