estadoCliqueErrado = {
  name = "cliqueErrado",
  moveY = 0,
  move = false,
  reset = false,
  quit = false,
  transparencia = 255,
  resetCor = {255, 255, 255, 0},
  update = function(dt)
    local x, y = love.mouse.getPosition()
    if emMusicVolUp( x, y ) and love.mouse.isDown(1) and audioVolume < 1.0 then
      love.audio.play( audioFundo )
      audioVolume = audioVolume + 0.10 * dt
      audioFundo:setVolume(audioVolume)
    elseif emMusicVolDown( x, y ) and love.mouse.isDown(1) and audioVolume > 0.0 then
      love.audio.play( audioFundo )
      audioVolume = audioVolume - 0.20 * dt
      audioFundo:setVolume(audioVolume)
    end
  end,
  moveUpdate = function(dt)
    if estadoCliqueErrado.move == true then
      if estadoCliqueErrado.moveY > paginaHeight * 0.925 * -1 then
        estadoCliqueErrado.moveY = estadoCliqueErrado.moveY - 400 * dt
      else estadoJogo = estadoJogar.name
      end
    end
  end,
  resetJogo = function(dt)
    if estadoCliqueErrado.reset == true then
      resetOuQuit.resetOuQuit = "reset"
      resetOuQuit.resetJogo(dt)
    end
  end,
  quitJogo = function(dt)
    if estadoCliqueErrado.quit == true then
      resetOuQuit.resetOuQuit = "quit"
      resetOuQuit.quitJogo(dt)
    end
  end,
  draw = function()
    exposicao.titulo()
    exposicao.placar(globalCaixaX, globalCaixaY, globalCaixaWidth, globalCaixaHeight)
    --exposicao.musica()
    bp.caixaComBorda(paginaWidth * 0.02, paginaHeight * 0.33 + estadoCliqueErrado.moveY, paginaWidth * 0.96, paginaHeight * 0.62, Cores.azulMaisEscuro, Cores.vermelho, 3)
    bp.escreveF(texto1, 0, paginaHeight * 0.35 + estadoCliqueErrado.moveY, paginaWidth, "center", Cores.azulMaisEscuro, fonte24)
    bp.escreveF(texto2 .. respostaErradaGlobal .. "\"", 0, paginaHeight * 0.405 + estadoCliqueErrado.moveY, paginaWidth, "center", Cores.amarelo, fonteNegrito24)
    bp.escreveF(texto3, 0, paginaHeight * 0.46 + estadoCliqueErrado.moveY, paginaWidth, "center", Cores.verdeMuitoEscuro, fonteNegrito24)
    bp.escreveF(texto4, 0, paginaHeight * 0.515 + estadoCliqueErrado.moveY, paginaWidth, "center", Cores.amarelo, fonteNegrito36)
    bp.escreveF(texto5, 0, paginaHeight * 0.585 + estadoCliqueErrado.moveY, paginaWidth, "center", Cores.azul, fonteNegrito24)
    bp.caixaComBorda(paginaWidth * 0.15, paginaHeight * 0.66 + estadoCliqueErrado.moveY, paginaWidth * 0.7, paginaHeight * 0.075, Cores.azulMaisEscuro, Cores.aqua, 1)
    bp.escreveF(texto6, 0, ( paginaHeight * 0.6975 - 0.5 * fonteHeight24 ) + estadoCliqueErrado.moveY, paginaWidth, "center", Cores.azulMaisEscuro, fonte24)
    bp.caixaComBorda(paginaWidth * 0.15, paginaHeight * 0.755 + estadoCliqueErrado.moveY, paginaWidth * 0.7, paginaHeight * 0.075, Cores.azulMaisEscuro, Cores.aqua, 2)
    bp.escreveF(texto7, 0, ( paginaHeight * 0.7925 - 0.5 * fonteHeight24 ) + estadoCliqueErrado.moveY, paginaWidth, "center", Cores.azulMaisEscuro, fonte24)
    if texto8 ~= "" then
      bp.caixaComBorda(paginaWidth * 0.15, paginaHeight * 0.855 + estadoCliqueErrado.moveY, paginaWidth * 0.7, paginaHeight * 0.075, Cores.azulMaisEscuro, Cores.aqua, 2)
    end
    bp.escreveF(texto8, 0, ( paginaHeight * 0.8925 - 0.5 * fonteHeight24 ) + estadoCliqueErrado.moveY, paginaWidth, "center", Cores.azulMaisEscuro, fonte24)
    if estadoCliqueErrado.reset == true then
      bp.caixaSemBorda(0, 0, paginaWidth, paginaHeight, Cores.verdeMuitoEscuro)
      bp.escreveF("Restarting the Game", 0, paginaHeight * 0.4, paginaWidth, "center", estadoCliqueErrado.resetCor, fonteNegrito48)
    end
    if estadoCliqueErrado.quit == true then
      bp.caixaSemBorda(0, 0, paginaWidth, paginaHeight, Cores.vermelho)
      bp.escreveF("Quitting the Game", 0, paginaHeight * 0.4, paginaWidth, "center", estadoCliqueErrado.resetCor, fonteNegrito48)
    end
  end,
  naoUltimaQuestao = function()
    texto1 = "Sorry, that's not correct."
    texto2 = "You chose: \""
    texto3 = "The CORRECT sentence is:"
    texto4 = "\"" .. frase[sequenciaAleatoria[passo]].respostaCerta .. "\"" 
    texto5 = "What now? Click one of the buttons below."
    texto6 = "Take me to the next question."    
    texto7 = "I want to start over. Restart the game."
    texto8 = "I want to quit. Close the game."   
  end,  
  ultimaQuestao = function()
    texto1 = "Sorry, that's not correct."
    texto2 = "You chose: "
    texto3 = "The CORRECT sentence is:"
    texto4 = "\"" .. frase[sequenciaAleatoria[passo]].respostaCerta .. "\""    
    texto5 = "What now? Click one of the buttons below."
    texto6 = "I want to play again. Start the game over."
    texto7 = "I'm done. Close the game."
    texto8 = ""
    --[[
    if placarCerto > #frase - 2 then textoAvaliacao = "EXCELLENT!"
      elseif placarCerto > #frase - 5 then textoAvaliacao = "Very good!"
      elseif placarCerto > #frase - 8 then textoAvaliacao = "You could improve."
      else textoAvaliacao = "You need to study! A LOT!!"
    end
    ]]
  end,
  mousereleased = function(x, y, button)
   --CLIQUES DO MOUSE   
   
    if emMusicOn( x, y ) then
      if audioFundo:isPlaying() then love.audio.pause()
      elseif audioFundo:isPaused() then love.audio.play( audioFundo )
      end
    return
    end  
    
    if emContinueCaixa1( x, y ) then
      if passo == #frase then
      estadoCliqueErrado.reset = true
      else
        passo = passo + 1
        fazRespostasAleatorias()
        estadoCliqueErrado.move = true
      end
    return
    end
    
    if emContinueCaixa2(x, y) then
      if passo == #frase then
        estadoCliqueErrado.quit = true
      else
        estadoCliqueErrado.reset = true
      end
    return
    end
    
    if emContinueCaixa3(x, y) and texto7 ~= "" then
      estadoCliqueErrado.quit = true
    return
    end
  end
}

--Parent Functions
function CLIQUEERRADO_UPDATE(dt)
  estadoCliqueErrado.update(dt)
  alteraFundo(dt) --função em carrege.
  estadoCliqueErrado.moveUpdate(dt)
  estadoCliqueErrado.resetJogo(dt)
  estadoCliqueErrado.quitJogo(dt)
end 

function CLIQUEERRADO_DRAW()
  estadoCliqueErrado.draw()
end